Please include a summary of the changes in your pull request.

If you are fixing/resolving an issue, please state which issue is fixed with text like `fixes #4` or similar (this will be picked up automatically by GitHub and helps us manage development).

Please also include the motivation and context, and note the tests that apply to these changes.

Add an `X` to the boxes below as appropriate.

## Type of change

- [ ] Bug fix (non-breaking change that fixes an issue)
- [ ] New feature (non-breaking change that adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality not to work as expected)
- [ ] This change requires a documentation update
- [ ] This is a documentation update

## Action Checklist

- [ ] Work on a single issue/concept (if there are multiple separate issues to address, please use a separate pull request for each)
- [ ] Fork the `pyani-plus` repository under your own account (please [allow write access for repository maintainers](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/working-with-forks/allowing-changes-to-a-pull-request-branch-created-from-a-fork))
- [ ] Set up an appropriate development environment (please see `CONTRIBUTING.md` for this repository)
- [ ] Create a new branch with a short, descriptive name
- [ ] Work on this branch
  - [ ] style guidelines have been followed (please see `CONTRIBUTING.md` for this repository)
  - [ ] new code is commented, especially in hard-to-understand areas
  - [ ] corresponding changes to documentation have been made
  - [ ] tests for the change have been added that demonstrate the fix or feature works
- [ ] Test locally with `pytest-plus -v` **non-passing code will not be merged**
- [ ] Rebase against `origin/master`
- [ ] Check changes with linting/formatting tools before submission (please see `CONTRIBUTING.md` for this repository)
- [ ] Commit branch
- [ ] Submit pull request, describing the content and intent of the pull request
- [ ] Request a code review
- [ ] Continue the discussion at [`Pull requests` section](https://github.com/widdowquinn/pyani-plus/pulls) in the `pyan-plus` repository
